
From: Jens Axboe <axboe@suse.de>

AS is doing internal msec<->jiffies conversions twice, so the sysfs tunables
which represent time are coming out wrong.  The switch from HZ=1000 exposed
this.

Cc: Nick Piggin <nickpiggin@yahoo.com.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/block/as-iosched.c |   10 +---------
 1 files changed, 1 insertion(+), 9 deletions(-)

diff -puN drivers/block/as-iosched.c~as-ioched-tunable-encoding-fix drivers/block/as-iosched.c
--- devel/drivers/block/as-iosched.c~as-ioched-tunable-encoding-fix	2005-07-25 20:35:40.000000000 -0700
+++ devel-akpm/drivers/block/as-iosched.c	2005-07-25 20:35:40.000000000 -0700
@@ -1935,23 +1935,15 @@ struct as_fs_entry {
 static ssize_t
 as_var_show(unsigned int var, char *page)
 {
-	var = (var * 1000) / HZ;
 	return sprintf(page, "%d\n", var);
 }
 
 static ssize_t
 as_var_store(unsigned long *var, const char *page, size_t count)
 {
-	unsigned long tmp;
 	char *p = (char *) page;
 
-	tmp = simple_strtoul(p, &p, 10);
-	if (tmp != 0) {
-		tmp = (tmp * HZ) / 1000;
-		if (tmp == 0)
-			tmp = 1;
-	}
-	*var = tmp;
+	*var = simple_strtoul(p, &p, 10);
 	return count;
 }
 
_
